#ifndef _DEBUG_CONFIG_
#define _DEBUG_CONFIG_

#ifdef __cplusplus
extern "C" {
#endif

#define PRINT_DEBUG
#define PRINT_DEBUG_COLOR
#define PRINT_FUNC   debug_print

/*
 * Use the new PRINT_FUNC function, like this:
 * #define PRINT_FUNC   debug_print
 * and then implement debug_print function
*/
extern int PRINT_FUNC(const char *__restrict __format, ...);
extern void debug_get_time(char *buffer, int len);
extern int buffer_to_file(const char *pathname, const char *data, unsigned int size,const char *mod);

#ifdef __cplusplus
}
#endif

#endif
